[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Dia does not work without .la files - BZ 475992



On Sat, 2009-01-03 at 16:07 +0100, Dan Horák wrote:
> Manuel Wolfshant píše v So 03. 01. 2009 v 16:39 +0200:
> > Huzaifa Sidhpurwala wrote:
> > > -----BEGIN PGP SIGNED MESSAGE-----
> > > Hash: SHA1
> > >
> > > Some time ago there was a long thread regarding libtool files which
> > > started with why dia has .la files.
> > >
> > > I was unable to respond to that thread since i was travelling at that
> > > time. In the mean time it seems that someone removed the .la files from
> > > dia according to the fedora packaging policy.
> > >
> > > However now dia crashes with an error message, i have done some
> > > preliminary investigation ( Ref BZ 475992  ) and it seems that the
> > > source is looking at the la files to determine the libs.
> > >
> > > I am going to talk to upstream to see if this behaviour can be changed.
> > > However my question is in case they dis-agree what are the options do we
> > > have?
> > >
> > > Do we bring the .la files back so that dia works ?
> > tough choice... what should we select, a working application with .la 
> > files included, or a nicely-packaged-but-crashing  app ?
> > 
> 
> IMHO a working application is always preferred :-) But the plugin
> loading mechanism can be checked why it requires the *.la files.
> 

There is no deep reason why dias plugin support looks for .la files. It
would be a 3 line patch to make it look for .so instead.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]